चेंजलॉग
आपके प्रोजेक्ट की चेंजलॉग प्रविष्टियों पर पूर्ण CRUD।
GET/v1/changelog
| Parameter | Type | Description |
|---|---|---|
locale | string | अनुवाद मौजूद होने पर इस भाषा में प्रविष्टियाँ लौटाएँ। |
limit | integer | पृष्ठ का आकार। डिफ़ॉल्ट 20। |
offset | integer | छोड़ी जाने वाली वस्तुओं की संख्या। डिफ़ॉल्ट 0। |
सूचीकरण केवल प्रकाशित प्रविष्टियाँ लौटाता है — वही समूह जो पोर्टल आगंतुक देखता है।
GET/v1/changelog/:id
| Parameter | Type | Description |
|---|---|---|
locale | string | अनुवाद मौजूद होने पर इस भाषा में प्रविष्टि लौटाएँ। |
POST/v1/changelog
| Parameter | Type | Description |
|---|---|---|
titlerequired | string | प्रविष्टि का शीर्षक। |
body | string | प्रविष्टि का मुख्य पाठ (Markdown)। |
labels | string[] | New, Improved, Fixed जैसे लेबल। |
version | string | Semver संस्करण। डिफ़ॉल्ट 1.0.0। |
status | string | draft, scheduled या published। डिफ़ॉल्ट draft। |
locale | string | सामग्री की भाषा। डिफ़ॉल्ट en। |
PATCH/v1/changelog/:id
| Parameter | Type | Description |
|---|---|---|
title | string | प्रविष्टि का शीर्षक। |
body | string | प्रविष्टि का मुख्य पाठ (Markdown)। |
labels | string[] | New, Improved, Fixed जैसे लेबल। |
version | string | Semver संस्करण। डिफ़ॉल्ट 1.0.0। |
status | string | draft, scheduled या published। डिफ़ॉल्ट draft। |
locale | string | सामग्री की भाषा। डिफ़ॉल्ट en। |
DELETE/v1/changelog/:id
लेखन के लिए सशुल्क-योजना API पहुँच आवश्यक है Pro। DELETE खाली बॉडी
के साथ 204 लौटाता है।
चेंजलॉग प्रविष्टियाँ सूचीबद्ध करना
curl "https://api.supdesk.app/v1/changelog?locale=en&limit=20" \
-H "Authorization: Bearer sd_live_..."{
"data": [
{
"id": "ch_abc123",
"title": "Version 1.4.0",
"body": "### New Features\n\n- Added dark mode support\n- New export options\n\n### Fixes\n\n- Fixed Safari export button issue",
"labels": ["new", "fixed"],
"published_at": "2026-07-01T12:00:00Z",
"locale": "en",
"version": "1.4.0"
}
],
"pagination": { "limit": 20, "offset": 0, "has_more": false }
}एक चेंजलॉग प्रविष्टि प्राप्त करना
curl "https://api.supdesk.app/v1/changelog/ch_abc123?locale=en" \
-H "Authorization: Bearer sd_live_..."{
"data": {
"id": "ch_abc123",
"title": "Version 1.4.0",
"body": "### New Features\n\n- Added dark mode support\n- New export options\n\n### Fixes\n\n- Fixed Safari export button issue",
"labels": ["new", "fixed"],
"published_at": "2026-07-01T12:00:00Z",
"locale": "en",
"version": "1.4.0"
}
}एक चेंजलॉग प्रविष्टि बनाना
curl -X POST https://api.supdesk.app/v1/changelog \
-H "Authorization: Bearer sd_live_..." \
-H "Content-Type: application/json" \
-d '{
"title": "Version 1.4.0",
"body": "### New Features\n\n- Added dark mode support\n- New export options\n\n### Fixes\n\n- Fixed Safari export button issue",
"labels": ["new", "fixed"],
"version": "1.4.0",
"status": "published",
"locale": "en"
}'{
"data": {
"id": "ch_abc123",
"title": "Version 1.4.0",
"body": "### New Features\n\n- Added dark mode support\n- New export options\n\n### Fixes\n\n- Fixed Safari export button issue",
"labels": ["new", "fixed"],
"published_at": "2026-07-01T12:00:00Z",
"locale": "en",
"version": "1.4.0"
}
}एक चेंजलॉग प्रविष्टि अपडेट करना
curl -X PATCH https://api.supdesk.app/v1/changelog/ch_abc123 \
-H "Authorization: Bearer sd_live_..." \
-H "Content-Type: application/json" \
-d '{
"title": "Version 1.4.0 - Enhanced",
"status": "draft"
}'{
"data": {
"id": "ch_abc123",
"title": "Version 1.4.0 - Enhanced",
"body": "### New Features\n\n- Added dark mode support\n- New export options\n\n### Fixes\n\n- Fixed Safari export button issue",
"labels": ["new", "fixed"],
"published_at": null,
"locale": "en",
"version": "1.4.0"
}
}एक चेंजलॉग प्रविष्टि हटाना
curl -X DELETE https://api.supdesk.app/v1/changelog/ch_abc123 \
-H "Authorization: Bearer sd_live_..."सफल होने पर 204 No Content लौटाता है।
Last updated on